Bug 1573532 - Review Request: golang-github-syncthing-notify - File system event notification library on steroids
Summary: Review Request: golang-github-syncthing-notify - File system event notificati...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1565870
TreeView+ depends on / blocked
 
Reported: 2018-05-01 15:47 UTC by Fabio Valentini
Modified: 2018-05-12 20:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-12 18:20:13 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Fabio Valentini 2018-05-01 15:47:16 UTC
Spec URL: https://decathorpe.fedorapeople.org/packages/golang-github-syncthing-notify.spec

SRPM URL: https://decathorpe.fedorapeople.org/packages/golang-github-syncthing-notify-0-0.1.20180501gitb9ceffc.fc28.src.rpm

Description: File system event notification library on steroids

Fedora Account System Username: decathorpe

koji scratch build for rawhide: https://koji.fedoraproject.org/koji/taskinfo?taskID=26704497


Packager's comment: The new %gochecks macro didn't work for some reason I couldn't figure out, so the tests are run the "old way".

This package is needed for updating syncthing to version 0.14.47, which introduces this as a new dependency.

Comment 1 Robert-André Mauchin 2018-05-02 18:04:14 UTC
 - Latest version packaged
 - License ok
 - Builds in Mock
 - No rpmlint errors
 - Conforms to the Packaging Guidelines

Package approved.

Comment 2 Fabio Valentini 2018-05-02 18:33:52 UTC
Thank you for the review!

Comment 3 Gwyn Ciesla 2018-05-02 18:46:42 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-syncthing-notify

Comment 4 Fedora Update System 2018-05-03 09:07:32 UTC
golang-github-syncthing-notify-0-0.1.20180502gitb9ceffc.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-514e85313d

Comment 5 Fedora Update System 2018-05-03 09:10:11 UTC
golang-github-syncthing-notify-0-0.1.20180502gitb9ceffc.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f1e8a09a28

Comment 6 Fedora Update System 2018-05-03 19:32:01 UTC
golang-github-syncthing-notify-0-0.1.20180502gitb9ceffc.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f1e8a09a28

Comment 7 Fedora Update System 2018-05-03 20:23:52 UTC
golang-github-syncthing-notify-0-0.1.20180502gitb9ceffc.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-514e85313d

Comment 8 Fedora Update System 2018-05-12 18:20:13 UTC
golang-github-syncthing-notify-0-0.1.20180502gitb9ceffc.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-05-12 20:03:34 UTC
golang-github-syncthing-notify-0-0.1.20180502gitb9ceffc.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.